GeoProxy Is Now Supported In Android 4.4 & 4.1

Hello testers 😊 

Glad to announce that we have now enabled GeoProxy on our existing Android Emulators 🚀 

You can now perform Geolocation testing on 🌍 

  • 📱  Android 4.4  
  • 📱  Android 4.1  

Ensure your website compatibility on the above Android versions across different geographies!

Happy Testing!